Bug 586073 - Add new 'mod_revocator' runtime dependency to RA and TPS . . .
Add new 'mod_revocator' runtime dependency to RA and TPS . . .
Status: MODIFIED
Product: Dogtag Certificate System
Classification: Community
Component: Mod_NSS (Show other bugs)
1.3
All Linux
high Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Ben Levenson
:
Depends On: 563874
Blocks: dogtagIPAv2 588460
  Show dependency treegraph
 
Reported: 2010-04-26 14:38 EDT by Matthew Harmsen
Modified: 2015-01-04 19:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 588460 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
changes to cmake build system (363.44 KB, patch)
2010-12-14 16:32 EST, Matthew Harmsen
awnuk: review+
Details | Diff

  None (edit)
Description Matthew Harmsen 2010-04-26 14:38:58 EDT
Since 'mod_revocator' has been fixed, add a runtime dependency for this Apache module to both 'pki-ra' and 'pki-tps'.
Comment 5 Matthew Harmsen 2010-12-14 16:32:45 EST
Created attachment 468707 [details]
changes to cmake build system

This attachment provides the following:

* added "libldif60.so" library logic to FindMozLDAP.cmake
* added in new FindSvrcore.cmake module
* "CS.cfg.in" --> "CS.cfg" fixes added to both legacy and cmake build systems
* adds miscellaneous CMAKE changes to numerous existing files 
* adds the following new RPM spec files:
  * specs/pki-kra.spec
  * specs/pki-ocsp.spec
  * specs/pki-ra.spec
  * specs/pki-tks.spec
  * specs/pki-tps.spec
  * specs/pki-console.spec
  * specs/pki-migrate.spec
* provides optional developer helper scripts for generating RPMS/SRPMS
  using these new spec files
Comment 6 Matthew Harmsen 2010-12-14 17:23:50 EST
TIP

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       cmake/Modules/FindMozLDAP.cmake
A       cmake/Modules/FindSvrcore.cmake
M       dogtag/ca/pki-ca.spec
M       dogtag/ra/pki-ra.spec
M       dogtag/ocsp/pki-ocsp.spec
M       dogtag/tps/pki-tps.spec
M       dogtag/CMakeLists.txt
M       dogtag/console-ui/src/CMakeLists.txt
M       dogtag/kra/pki-kra.spec
A       scripts/compose_pki_kra_packages
A       scripts/compose_pki_tks_packages
A       scripts/compose_pki_console_packages
A       scripts/compose_pki_ra_packages
A       scripts/compose_pki_ocsp_packages
A       scripts/compose_pki_tps_packages
A       scripts/compose_pki_migrate_packages
D       base/ca/shared/conf/CS.cfg
A       base/ca/shared/conf/CMakeLists.txt
A  +    base/ca/shared/conf/CS.cfg.in
D       base/ca/shared/CMakeLists.txt
M       base/ca/src/CMakeLists.txt
M       base/ca/CMakeLists.txt
D       base/tks/shared/conf/CS.cfg
A  +    base/tks/shared/conf/CS.cfg.in
A       base/tks/shared/conf/CMakeLists.txt
M       base/tks/src/CMakeLists.txt
M       base/tks/CMakeLists.txt
D       base/ra/doc/CS.cfg
R  +    base/ra/doc/CS.cfg.in
M       base/ra/CMakeLists.txt
M       base/console/src/CMakeLists.txt
D       base/ocsp/shared/conf/CS.cfg
A  +    base/ocsp/shared/conf/CS.cfg.in
A       base/ocsp/shared/conf/CMakeLists.txt
M       base/ocsp/src/CMakeLists.txt
M       base/ocsp/CMakeLists.txt
M       base/tps/Makefile.in
M       base/tps/src/authentication/CMakeLists.txt
M       base/tps/src/modules/tokendb/CMakeLists.txt
M       base/tps/src/modules/tps/CMakeLists.txt
M       base/tps/src/tus/CMakeLists.txt
M       base/tps/src/CMakeLists.txt
M       base/tps/tools/raclient/CMakeLists.txt
D       base/tps/doc/CS.cfg
R  +    base/tps/doc/CS.cfg.in
M       base/tps/CMakeLists.txt
M       base/tps/Makefile.am
D       base/kra/shared/conf/CS.cfg
A       base/kra/shared/conf/CMakeLists.txt
A  +    base/kra/shared/conf/CS.cfg.in
M       base/kra/src/CMakeLists.txt
M       base/kra/CMakeLists.txt
M       base/CMakeLists.txt
M       CMakeLists.txt
M       specs/dogtag-pki-theme.spec
A       specs/pki-tps.spec
M       specs/pki-core.spec
A       specs/pki-migrate.spec
M       specs/ipa-pki-theme.spec
A       specs/pki-kra.spec
A       specs/pki-tks.spec
A       specs/pki-console.spec
A       specs/pki-ra.spec
A       specs/pki-ocsp.spec

# svn commit
Transmitting file data ..........................................................
Committed revision 1624.

Note You need to log in before you can comment on or make changes to this bug.